Subject: Re: Debian-m68k: Incoming processing scripts

From: Michael Schmitz <[email-masked]>
Date: Thu, 13 Jun 1996 13:41:39 +0200 (MET DST)

Hi Guy,

seems I missed the discussion about the new uploading / processing scheme for
the m68k uploads on the ML (though I'm sure I signed on there ...).
Juergen sent me a digest, so I'll add my piece of information here ...

1) What's been done so far: I started by moving the real old stuff (from 
   15-Mar-1996, without .changes files) to the target dierectories in 
   /home/Debian/ftp/unstable/binary-m68k/
   These have obviously been accepted by a cron job and appropriate links 
   from unstable/msdos-m68k have been added.

   After that, I edited all of the .changes files to reflect my rough guess
   of a 1.4 format (that was before reading the dchanges(5) manpage) and 
   waited for things to happen. This has failed so far.

2) From your description of the uploading process I got from Juergen, I 
   see that the ./private/m68k/Incoming is no longer supported. Now two 
   things could be done: either use dpkg-name to change all the archive 
   names of the backlog files and move the stuff to private/project/Incoming, 
   or do it all by hand. 

   $ dpkg-name
   bash: dpkg-name: command not found

   suggests I do it by hand (but I will save the obsoleted files anyway).

   I'll check all of the .deb files for errors in the control fields (but
   there will be many, so it's just for the record ...) and ignore the 
   .changes files (saving them again).

3) after that's done, all new uploads are strongly encouraged to use the 
   new naming scheme and dchanges format >= 1.5, and anything going to 
   ./private/m68k/Incoming will be ignored by your dinstall script. 

Can we live with that? Or is it absolutely required that incoming 
packages are checked by your script (conformance of the md5sum, for 
instance)? Still, I think I won't lose track of my work too fast for later
checking if that's required :-).

And one last remark: Though I'll be out of Basel from the end of June, I hope
I can have an eye on the m68k incoming stuff even after that date. So no 
hard deadline from my side ...

	Michael